unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button3: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Button5: TButton;
    Button6: TButton;
    Button2: TButton;
    msglabel: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure rotBtn1Change(sender:TObject; position : byte);
    procedure rotBtn2Change(sender:TObject; position : byte);
    procedure Button5Click(Sender: TObject);
    procedure Btn1Enter(sender : TObject);
    procedure Btn1Leave(sender : TObject);
    procedure Btn1Paint(sender : TObject);
    procedure Button6Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses dav7RotationBtn;

var R1button : Tdav7RotationBtn;
    R2button : TDav7RotationBtn;

procedure TForm1.rotBtn1Change(sender:TObject; position : byte);
begin
 label1.caption := inttostr(position);
end;

procedure TForm1.rotBtn2Change(sender:TObject; position : byte);
begin
 label2.caption := inttostr(position);
end;

procedure TForm1.Button1Click(Sender: TObject);
//create button1
begin
 R1Button := Tdav7RotationBtn.create(form1);
 with R1Button do
  begin
   parent := self;
   left := 100;
   top := 10;
   width := 300;
   height := 100;
   orientation := orHorizontal;
   onChange := rotBtn1change;
   maximum := 100;
   onEnter := btn1enter;
   onLeave := btn1Leave;
   onButtonPaint := btn1Paint;
   cursor := crHandpoint;
  end;
 msglabel.caption := 'button 1 created';
end;

procedure TForm1.Button3Click(Sender: TObject);
//create button2
begin
 R2Button := Tdav7RotationBtn.create(form1);
 with R2Button do
  begin
   parent := self;
   left := 500;
   top := 10;
   width := 50;
   height := 250;
   orientation := orvertical;
   maximum := 100;
   onchange := rotBtn2change;
  end;
  msglabel.caption := 'button 2 created';
end;

procedure TForm1.Button5Click(Sender: TObject);
//modify button 1
begin
 if assigned(R1Button) = false then
  begin
    msglabel.caption := 'button not created';
    exit;
   end;
 with R1Button do
  begin
   borderwidth := 10;
   bordercolor1 := $ff0000;
   bordercolor2 := $0000ff;
   notchwidth:= 20;
   notchspacing := 10;
   notchcolor := $00ff00;
   bgColor := $00ffff;
   width := 300;
  end;
  msglabel.caption := 'button 1 modified';
end;

procedure TForm1.Button6Click(Sender: TObject);
//modify button2 
begin
 if assigned(R2Button) = false then
  begin
   msglabel.caption := 'button not created';
   exit;
  end;
 with R2Button do
  if orientation = orVertical then orientation := orHorizontal
   else orientation := orVertical;
 msglabel.caption := 'button 2 modified';
end;

procedure TForm1.Button2Click(Sender: TObject);
//modify button2
begin
 if assigned(R2Button) = false then
  begin
   msglabel.caption := 'button not created';
   exit;
  end;
 with R2Button do
  begin
   notchwidth := 20;
   notchspacing := 10;
   bgColor := $00ffff;
   borderwidth := 4;
  end;
 msglabel.caption := 'button 2 modified'; 
end;

procedure TForm1.Btn1Enter(sender : TObject);
begin
 label2.Caption := 'button entered';
end;

procedure TForm1.Btn1Leave(sender : TObject);
begin
 label2.Caption := 'button left';
end;

procedure Tform1.Btn1Paint(sender : TObject);
var centerx,centerY : smallInt;
begin
 with TDav7RotationBtn(sender).map do with Canvas do
  begin
   centerx := width shr 1;
   centerY := height shr 1;
   pen.Color := $ff0000;
   pen.Width := 1;
   brush.Color := $000000;
   brush.Style :=bsSolid;
   rectangle(centerx-50,centery - 20,centerx+50,centerY + 20);
   font.Name := 'arial';
   font.Height := 20;
   font.Color := $ffffff;
   brush.Style := bsClear;
   textout(centerX - 45,centery - 15,'hallo daar');
  end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
//destroy rotation buttons
begin
 if assigned(R1Button) then R1button.destroy;
 if assigned(R2Button) then R2button.destroy;
end;

end.
